---
lang: en
title: 'API docs: context.contexttags'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.contexttags.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ContextTags](./context.contexttags.md)

## ContextTags namespace

Namespace for context tags

**Signature:**

```typescript
export declare namespace ContextTags 
```

## Variables

|  Variable | Description |
|  --- | --- |
|  [CLASS](./context.contexttags.class.md) |  |
|  [CONFIGURATION\_FOR](./context.contexttags.configuration_for.md) | Binding tag to associate a configuration binding with the target binding key |
|  [DYNAMIC\_VALUE\_PROVIDER](./context.contexttags.dynamic_value_provider.md) |  |
|  [GLOBAL\_INTERCEPTOR\_GROUP](./context.contexttags.global_interceptor_group.md) | Binding tag for group name of global interceptors |
|  [GLOBAL\_INTERCEPTOR\_SOURCE](./context.contexttags.global_interceptor_source.md) | Binding tag for global interceptors to specify sources of invocations that the interceptor should apply. The tag value can be a string or string\[\], such as <code>'route'</code> or <code>['route', 'proxy']</code>. |
|  [GLOBAL\_INTERCEPTOR](./context.contexttags.global_interceptor.md) | Binding tag for global interceptors |
|  [KEY](./context.contexttags.key.md) | Binding key for the artifact |
|  [NAME](./context.contexttags.name.md) | Name of the artifact |
|  [NAMESPACE](./context.contexttags.namespace.md) | Namespace of the artifact |
|  [PROVIDER](./context.contexttags.provider.md) |  |
|  [TYPE](./context.contexttags.type.md) | Type of the artifact |


